//----------------------------BEGIN LICENSE----------------------------
/* 
 * Willow : the Open Source WorkFlow Project
 * Distributable under GNU LGPL license by gun.org
 *
 * Copyright (C) 2004-2010 huihoo.org 
 * Copyright (C) 2004-2010  ZosaTapo <dertyang@hotmail.com> 
 * 
 * ====================================================================
 * Project Homepage : http://www.huihoo.org/god4j
 * Source Forge     : http://sourceforge.net/projects/huihoo
 * Mailing list     : god4j@lists.sourceforge.net 
 */
//----------------------------END  LICENSE-----------------------------
package org.huihoo.god4j.editor;
import org.huihoo.god4j.editor.panels.JavaPanel;
import org.huihoo.god4j.editor.panels.JavaTextPanel;
import org.huihoo.workflow.WorkflowComponent;
/**
 * @author reic
 *
 * To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Generation - Code and Comments
 */
public class XPDLSimpleComponent extends XPDLComponent
{
	public XPDLSimpleComponent(XPDLComplexComponent parent)
	{
		super(parent,null);
	}
	
	public XPDLSimpleComponent(String name,XPDLComplexComponent parent)
	{
		super(parent,name);
	}
		
	public JavaPanel getJavaPanel()
	{
		return new JavaTextPanel(this);
	}
	
	public String toString()
	{
		if (value != null)
		{
			return value.toString();
		}

		return "";
	}
	
//==================================================================

	public void initComponent()
	{
//	-----------------------------------------------
		super.initComponent();
//	-----------------------------------------------
	}

	public void structComponent()
	{
//	-----------------------------------------------
		super.structComponent();
//	-----------------------------------------------
	}
	
	public void loadComponent() 
	{
//	-----------------------------------------------
		super.loadComponent();
//	-----------------------------------------------
	}

	public void saveComponent() 
	{
    if(isReadOnly())
    {
      return;
    }	
    
//	-----------------------------------------------
		super.saveComponent();
//	-----------------------------------------------
	}
	
	public void saveComponent(WorkflowComponent workflow_component) 
	{
//	-----------------------------------------------
		super.saveComponent(workflow_component);
//	-----------------------------------------------
	}
	
//==================================================================

}